Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations

AddImageStoreBackupStorage

AddImageStoreBackupStorage

POST/zstack/v1/backup-storage/image-store

Operation ID

AddImageStoreBackupStorage

Since

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • hostname
      StringRequired

      The hostname of the ImageStore backup storage.

    • username
      StringRequired

      The SSH username of the backup storage. This parameter is used to deploy Ansible.

    • password
      StringRequired

      The SSH password of the ImageStore backup storage.

    • sshPort
      int

      Optional. The SSH port of the ImageStore backup storage.

    • url
      StringRequired

      The path for storing local data in the ImageStore backup storage.

    • name
      StringRequired

      The name of the ImageStore backup storage.

    • description
      String

      Optional. The description of the ImageStore backup storage.

    • type
      String

      Optional. The backup storage type: ImageStoreBackupStorage.

    • importImages
      boolean

      Optional. Whether to import images.

    • resourceUuid
      String

      Optional. The resource UUID. If specified, the ImageStore backup storage will use this field as the UUID.

    • systemTags
      List

      Optional. The system tags.

    • userTags
      List

      Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.